
class GeradorDeRelatorio
  
  attr_accessor :banco
  
  def initialize( bd )
    @banco = bd
  end
  
  def geraAPagar
    File.open( "1-apagar.csv", "w" ) do | f |
      f << "Fornecedor;CNPJ;Pessoa de contato ;Telefone;Total a pagar\n"
      @banco.fornecedores.each do | key, value |
        temp = "%.2f" % value.totalAPagar
        temp = temp.sub ".",","
        f << value.nome + ";" + value.cnpj.to_s + ";" + value.pessoaDeContato + ";" + value.telefone + ";R$ " + temp + "\n"
      end     
    end
  end
  
  def geraAReceber
    File.open( "2-areceber.csv", "w" ) do | f |
      f << "Cliente;Tipo;CPF/CNPJ;Telefone;Data de cadastro;Total a pagar\n"
      @banco.clientes.each do | key, value |
        temp = "%.2f" % value.totalAPagar
        temp = temp.sub ".",","
        if value.tipoCliente == "F"          
          f << value.nome + ";" + "F;" + value.cpf + ";" + value.telefone + ";" + value.dataCadastro + ";R$ " + temp + "\n"
        else
          f << value.nome + ";" + "J;" + value.cnpj + ";" + value.telefone + ";" + value.dataCadastro + ";R$ " + temp + "\n"
        end
      end
    end
  end
  
end