class Produto
  
  attr_accessor :codigo, :descricao, :estoqueMinimo, :quantidadeEmEstoque, :valorDeCusto, :percentualDeLucro, :valorDeVenda
  
  def initialize( cod = 0, descri = "", estMin = 0, qntEstoque = 0, valorC = 0.0, percentual = 0 )
    @codigo = cod
    @descricao = descri
    @estoqueMinimo = estMin
    @quantidadeEmEstoque = qntEstoque
    @valorDeCusto = valorC
    @percentualDeLucro = percentual
    @valorDeVenda = @valorDeCusto + @valorDeCusto * @percentualDeLucro / 100
  end
  
  def imprime
    print "Codigo: " + @codigo.to_s + "\nDescricao: " + @descricao + "\nEstoque Minimo: " + @estoqueMinimo.to_s + "\nQuantidade em Estoque: " + @quantidadeEmEstoque.to_s + "\nValor de Custo: " + @valorDeCusto.to_s + "\nPercentual: " + @percentualDeLucro.to_s + "\nValor de venda: " + @valorDeVenda.to_s + "\n\n"
  end
  
    
end

class Compra
  attr_accessor :numeroDeNotaFiscal, :dataDeCompra, :quantidade, :codigoFornecedor, :codigoProduto
  
  def initialize( numero, fornecedor, data, produto, qnt )
    @numeroDeNotaFiscal = numero
    @codigoFornecedor = fornecedor
    @dataDeCompra = data
    @codigoProduto = produto
    @quantidade = qnt
  end
  
  def imprime
    print "Numero: " + @numeroDeNotaFiscal.to_s + "\nCodigo de Fornecedor: " + @codigoForncedor.to_s + "\nData de Compra: " + @dataDeCompra + "\nCodigo do Produto: " + @codigoProduto.to_s + "\nQuantidade: " + @quantidade.to_s + "\n\n"
  end
    
end

class Venda
  attr_accessor :dataDeVenda, :quantidade, :formaDePagamento, :codigoCliente, :codigoProduto
  
  def initialize( cliente, data, produto, qnt, pag)
    @codigoCliente = cliente
    @dataDeVenda = data
    @codigoProduto = produto
    @quantidade = qnt
    @formaDePagamento = pag
  end
  
  def imprime
    print "Codigo Cliente: " + @codigoCliente.to_s + "\nData de Venda: " + @dataDeVenda + "\nCodigo de Produto: " + @codigoProduto.to_s + "\nQuantidade: " + @quantidade.to_s + "\nForma de Pagamento: " + @formaDePagamento + "\n\n"
  end
  
end